## flutter_scripts

![coverage][coverage_badge]
[![style: very good analysis][very_good_analysis_badge]][very_good_analysis_link]
[![License: MIT][license_badge]][license_link]

Generated by the [Very Good CLI][very_good_cli_link] 🤖

Run scripts defined in a pubspec.yaml just like in node.js with the `run` command.

---

## Getting Started 🚀

If the CLI application is available on [pub](https://pub.dev), activate globally via:

```sh
dart pub global activate flutter_scripts
```

Or locally via:

```sh
dart pub global activate --source=path <path to this package>
```

## Usage

```sh
$ flutter_scripts run

# Set command to run
$ flutter_scripts run --c update_db

# Show CLI version
$ flutter_scripts --version

# Show usage help
$ flutter_scripts --help
```

Add scripts to any Flutter/Dart project in the `pubspec.yaml` like the following:

```yaml
scripts:
  generate_icons: flutter pub run flutter_launcher_icons:main
  generate_files: flutter pub run build_runner build --delete-conflicting-outputs
```

---

[coverage_badge]: coverage_badge.svg
[license_badge]: https://img.shields.io/badge/license-MIT-blue.svg
[license_link]: https://opensource.org/licenses/MIT
[very_good_analysis_badge]: https://img.shields.io/badge/style-very_good_analysis-B22C89.svg
[very_good_analysis_link]: https://pub.dev/packages/very_good_analysis
[very_good_cli_link]: https://github.com/VeryGoodOpenSource/very_good_cli